> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tight.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Send invoice to client

> Email a previously created invoice to the given client. Primarily useful for when a client finalizes invoices for their own records, prior to sending them out to their clients



## OpenAPI

````yaml https://dev.hurdlr.com/rest/v1/devUtils/documentation?version=4&Authorization=dexfeE6aRK3zwXP4ku5aWm8w&env=sandbox post /v4/invoicing/sendInvoice
openapi: 3.0.1
info:
  title: Tight API
  contact:
    name: Hurdlr, Inc. (dba Tight)
    url: https://www.tight.com
    email: api@tight.com
  version: 6.0.0
servers:
  - url: https://sandbox.hurdlr.com/rest
    description: Staging Environment
  - url: https://prod.hurdlr.com/rest
    description: Production Environment
security:
  - accessTokenSecurity: []
  - basicSecurity: []
tags:
  - name: Authentication
  - name: Banks
  - name: Expenses
  - name: Revenue
  - name: Business & Client Management
  - name: Invoicing
  - name: Reports
  - name: Taxes
  - name: Accounting
  - name: Investment Incomes
paths:
  /v4/invoicing/sendInvoice:
    post:
      tags:
        - Invoicing
      summary: Send invoice to client
      description: >-
        Email a previously created invoice to the given client. Primarily useful
        for when a client finalizes invoices for their own records, prior to
        sending them out to their clients
      operationId: postSendInvoiceV4
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InvoicingActionsRetVal'
      security:
        - accessTokenSecurity: []
components:
  schemas:
    InvoicingActionsRetVal:
      type: object
      properties:
        arInvoiceId:
          type: string
        arInvoiceName:
          type: string
        success:
          type: boolean
        errorDescription:
          type: string
        emailRetVal:
          $ref: '#/components/schemas/EmailRetVal'
        errors:
          $ref: '#/components/schemas/ValidationRetVal'
        refundStatus:
          type: string
          enum:
            - PENDING
            - SUCCEEDED
            - FAILED
            - UNKNOWN
    EmailRetVal:
      type: object
      properties:
        status:
          type: string
          enum:
            - SUCCESS
            - FAILURE_TOKEN_INVALIDATED
            - FAILURE_TOKEN_POSSIBLY_EXPIRED
            - FAILURE_INVOICE_NOT_FOUND
            - FAILURE_OTHER
            - SENDING
            - NOT_SENT
            - FAILURE_BOUNCED
            - WARNING_AUTO_RESPONSE
        error:
          type: string
        messageId:
          type: string
    ValidationRetVal:
      type: object
      properties:
        fieldErrors:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/ValidationError'
          description: Map of field-level errors, often originating from validation errors
        globalErrors:
          type: array
          description: List of higher-level errors
          items:
            $ref: '#/components/schemas/ValidationError'
      description: Error object containing details errors incurred, if any
    ValidationError:
      type: object
      properties:
        type:
          type: string
          description: A broad categorization of the error
          enum:
            - DUPLICATE
            - REQUIRED
            - DELETE
            - INVALID_VALUE
            - NOT_MODIFIABLE
            - GENERAL
            - INVALID_FORMAT
        errorMessage:
          type: string
          description: Human-friendly message describing this error
        message:
          type: string
          writeOnly: true
          enum:
            - DUPLICATE
            - REQUIRED
            - DELETE
            - INVALID_VALUE
            - NOT_MODIFIABLE
            - GENERAL
            - INVALID_FORMAT
            - INVALID_MAPPING
      description: List of higher-level errors
  securitySchemes:
    accessTokenSecurity:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: /auth/account
          scopes:
            write: ''

````